Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82593 - Initscripts don't support Ethernet 802.1q vlans
Summary: Initscripts don't support Ethernet 802.1q vlans
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-23 19:59 UTC by Tuomo Soini
Modified: 2014-03-17 02:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-31 21:44:08 UTC


Attachments (Terms of Use)
vlan support for redhat rawhide initscripts (deleted)
2003-01-23 20:03 UTC, Tuomo Soini
no flags Details | Diff
Improved version of previous 802.1Q VLAN support patch for initscripts (deleted)
2003-01-24 22:54 UTC, Tuomo Soini
no flags Details | Diff
802.1Q support for initscripts (deleted)
2003-01-28 08:54 UTC, Tuomo Soini
no flags Details | Diff
Minor fixes to previous patch version (deleted)
2003-02-01 22:45 UTC, Tuomo Soini
no flags Details | Diff

Description Tuomo Soini 2003-01-23 19:59:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Redhat Linux supports ethernet 802.1q vlans but initscripts don't know how to
build 802.1q interfaces.

Ethernet vlans are very much needed for redhat adoption in corporate environments.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
RedHat linux 7.3 has 802.11Q (should be 802.1Q) mentioned in release notes.
Still 8.0 and 8.1 beta don't have tools to support ethernet VLANs.  

Expected Results:  initscripts and redhat-config-network should both have
support to configure ethernet vlans.

and vconfig utility should be added to redhat distribution so that those devices
could be initialized.

Additional info:

http://www.candelatech.com/~greear/vlan.html
http://tis.foobar.fi/tis/vconfig-1.6-6foo.src.rpm

Comment 1 Tuomo Soini 2003-01-23 20:03:22 UTC
Created attachment 89551 [details]
vlan support for redhat rawhide initscripts

There is one known feature in this patch. It won't have check that eth0 is up
before adding vlans over it. Should be quite easy to fix by forcing ifup eth0
if eth0 is not yet up and eth0.42 is tried to activate.

Comment 2 Tuomo Soini 2003-01-24 22:54:31 UTC
Created attachment 89593 [details]
Improved version of previous 802.1Q VLAN support patch for initscripts

Fixes feature in previous script forcing master ethernet device up before
adding VLAN.

Comment 3 Tuomo Soini 2003-01-28 08:54:18 UTC
Created attachment 89637 [details]
802.1Q support for initscripts

Fixed /etc/init.d/network to recognize ifcfg-*.* files too. Previously device
names with . in them didn't start by default.

Comment 4 Bill Nottingham 2003-01-31 21:44:08 UTC
Committed with various minor wording tweaks, will be in 7.06-1.

Comment 5 Tuomo Soini 2003-02-01 22:45:15 UTC
Created attachment 89769 [details]
Minor fixes to previous patch version

This is incremental patch fixing following problems:

1. ifdown over vlan interface not working if physical device is allready in
down state.
2. ifup vlan device when physical device is not configured at all works now.
3. VLAN=true is not used anywhere else than init.d/network. Removed from there
4. made ifup load vlan module and set device naming type if vlan support is not
allready loaded. That makes VLAN=yes possible only in ifcfg-vlandevice

Comment 6 Bill Nottingham 2003-02-04 02:34:42 UTC
added for 7.07. hope there aren't too many more tweaks! :)


Note You need to log in before you can comment on or make changes to this bug.